Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000138Scorched3DClientpublic2011-10-23 05:042013-08-01 15:04
ReporterKangabunny 
Assigned Togcamp 
PriorityhighSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version43.4 
Summary0000138: WeaponCollisionPoint
DescriptionCreates a point that cannot be destroyed, has a <groupname> tag and can be set to become inert after a certain amount of time <duration>.

Ex pairing and use.

WeaponProjectile
Collisionaction-WeaponCollisionPoint
<groupname>target</groupname>
<duration>10</duration>
-Call in weapon aimed over/under to attack said groupname/point or spawn explosions ect..

Its basically like weapon add target, yet is not destroyed by weaponsfire ect..

(when a target lands on a tank, or is destroyed, multiple actions cannot fire properly from weaponaimed tags.


Also some way to make the group name unique to each weapon instance is necessary, though you already mentioned this.

you are going to laugh your butt off at some of the weapons I am making with theese. I promise. Their worth it!!!

Armor
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000173)
Kangabunny (reporter)
2011-10-23 05:11

Can you squeeze this one out before the final v44 release? Its going to be TREMENDOUS help. As in.. my weapons and events really dont work right without it. :(

(the weaponaimedover paried with target is super and useful, its just more geared towards events. This tag would be specifically for finding a point to launch events/weapons from without fail.


(Targets get destroyed and mess up other weapon events.)

Armor
(0000174)
Kangabunny (reporter)
2011-10-23 23:21

I just realized. I can spawn a stationary projectile at a point. I can aim at it!

Problem solved! This would be useful still, just not dire.

Armor
(0000187)
Kangabunny (reporter)
2011-12-22 03:32

Actually Ive figured out three tags that should be easily implementable and compliment your engine. Grant it, its not as fancy as the above mentioned setup, but this way will allow more functionality and customization.

Theese would be for projectiles, but implementing them with rollers could help too.


<nocollisiontrack> for projectile collisions (camera wont track collision of projectile/roller)
---------------

<ignoreshield>true</ignoreshield> will ignore shield boundry and effects. EX) rollers or projectile will go right through a bouncy shield. Will ignore mags pull. Will go through solid. Does not affect shield in anyway, just ghosts thru them.
------------------------
<nolandscapecollision>true</nolandscapecollision> (will allow the projectile to be spawned under the ground without colliding. Useful for spawning a localgroupname projectile underground for targeting by aircraft.) Basically have a projectile sitting under the ground using properties to make it stay in one spot. This is the least important item on this list, but it will offer me one final check for making sure my airstrikes work properly.
(0000214)
gcamp (administrator)
2012-06-05 23:23

Added:

<nocollisiontrack> for projectile collisions (camera wont track collision of projectile/roller)
 ---------------
 
<ignoreshield>true</ignoreshield> will ignore shield boundry and effects. EX) rollers or projectile will go right through a bouncy shield. Will ignore mags pull. Will go through solid. Does not affect shield in anyway, just ghosts thru them.
 ------------------------
 <nolandscapecollision>true</nolandscapecollision>

Fixed.
(0000236)
gcamp (administrator)
2013-08-01 15:04

More information:

no collision track is defined on the accessories as "nocameratrack". So setting nocameratrack to true on explosions or weapons will mean the UI will not track the projectils.

no landscape collision is defined on the accessories as "landscapecollision". So setting landscapecollision to false on rollers or projectiles will mean it wont collide with the landscape.

ignore shield is defined on the accessories as "shieldcollision". So setting shieldcollision to false on rollers or projectiles will mean it wont collide with any shields.

- Issue History
Date Modified Username Field Change
2011-10-23 05:04 Kangabunny New Issue
2011-10-23 05:11 Kangabunny Note Added: 0000173
2011-10-23 23:21 Kangabunny Note Added: 0000174
2011-12-22 03:32 Kangabunny Note Added: 0000187
2012-06-05 23:23 gcamp Note Added: 0000214
2012-06-05 23:23 gcamp Status new => resolved
2012-06-05 23:23 gcamp Fixed in Version => 43.4
2012-06-05 23:23 gcamp Resolution open => fixed
2012-06-05 23:23 gcamp Assigned To => gcamp
2013-08-01 15:04 gcamp Note Added: 0000236


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker